> For the complete documentation index, see [llms.txt](https://docs.itgrix.ru/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.itgrix.ru/custom_bx/custom-before-2.15/novye-vozmozhnosti.md).

# Новые возможности

Кастомизация **get\_updated\_lead\_fields.php** преобразована в **get\_updated\_entity\_fields.php.** Теперь она вызывается как для лидов, так и для контактов.

Технически код скрипта остался прежним. При переходе на новую версию достаточно просто переименовать файл.

В кастомизации **process\_task\_creation\_params.php** (кастомизация при постановке задачи по пропущенному звонку) теперь можно использовать данные о звонке.

Во входных параметрах (объект **params**) добавлен блок данных **conversation**:

```
"conversation": {
    "answered_at": "<Время поднятие трубки>",
    "channel_id": "<Идентификатор канала>",
    "ended_at": "<Время окончания разговора>",
    "from": "<Номер позвонившего>",
    "from_local": "<Локальный номер позвонившего. Принимает значение true или false>",
    "id": "<Идентификатор звонка>",
    "parent_channel_id": "<Идентификатор родительского канала>",
    "started_at": "<Время начала звонка>",
    "state": "<Статус состояния звонка>",
    "state_code": "<Состояния звонка>",
    "to": "<Номер, кому пришел звонок>",
    "to_local": "<Локальный номер принимающего. Принимает значение true или false>",
    "trunk": "<Внешний номер, на который поступил звонок>",
    "type": "<Направление звонка. Принимает значения: 1 - внутренний; 2 - входящий; 3 - исходящий>",
    "type_code": "<Направление звонка. Принимает значения: incoming - входящий, outgoing - исходящий>",
    "was_answered": "<Отвеченный звонок. Принимает значение true или false>"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.itgrix.ru/custom_bx/custom-before-2.15/novye-vozmozhnosti.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
